Bug 15098 - On Compaq LTE5280 laptop FTP installation crash occur in install program toward end of install process
Summary: On Compaq LTE5280 laptop FTP installation crash occur in install program towa...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i586
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-02 08:11 UTC by Russell Foster
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 22:51:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell Foster 2000-08-02 08:11:49 UTC
I was installing pinstripe beta via FTP install using pcmcia boot floppy.
Configured network and selected custom installation. Within X selected to
install WindowMaker and deslect X-Free-twm. Asked if I would like to
install dependancies. Said yes. Installation went through but at end when
was installing libProplist for WindowMaker anaconda complained. Dump log
below


Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504, in
__call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1522, in
doInstal
l
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1265, in
instCall
back
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/urlinstall.py", line 47, in
getF
ilename
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/log.py", line 23, in
__call__
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
args: ('ftp error', 'ftp://orion/pub/rh/RedHat/base/hdlist',
<exceptions.IOError
 instance at 90596c0>)
self: <log.LogFile instance at 81df968>
format: IOError %d occured getting %s: %s

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://orion/pub/rh'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
(itext
ProgressWindow
(dp10
S'scale'
p11
(isnack
Scale
(dp12
S'w'

Comment 1 Matt Wilson 2000-08-04 22:51:29 UTC
Patch committed to CVS to fix this



Note You need to log in before you can comment on or make changes to this bug.